package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.pojo.table.SysNodeTable;
import com.crm.rely.backend.core.pojo.view.SysNodeView;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysNodeMapper {
    List<SysNodeView> getSysNodesByRoleId(@Param("roleId") Long roleId);

    List<SysNodeTable> findAllByRoleId(@Param("roleId") Long roleId);

    void delete(List<SysNodeTable> tables);
}
